org.eclipse.net4j.util.io

## Class XMLOutput

- java.lang.Object
- - org.eclipse.net4j.util.io.XMLOutput

-     public class XMLOutput
      extends java.lang.Object

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLOutput(java.io.OutputStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLOutput` | `attribute(java.lang.String name, java.lang.Object value)`
    `XMLOutput` | `attributeOrNull(java.lang.String name, java.lang.Object value)`
    `java.io.OutputStream` | `bytes()`
    `java.io.Writer` | `characters()`
    `void` | `done()`
    `XMLOutput` | `element(java.lang.String name)`
    `XMLOutput` | `pop()`
    `XMLOutput` | `push()`
    `void` | `setIndentation(java.lang.String indentation)`
    `void` | `setNewLine(java.lang.String newLine)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLOutput

          public XMLOutput(java.io.OutputStream out)
                    throws javax.xml.transform.TransformerConfigurationException,
                           org.xml.sax.SAXException

      Throws:
        `javax.xml.transform.TransformerConfigurationException`
        `org.xml.sax.SAXException`

  - ### Method Detail

    - #### setNewLine

          public void setNewLine(java.lang.String newLine)

    - #### setIndentation

          public void setIndentation(java.lang.String indentation)

    - #### element

          public XMLOutput element(java.lang.String name)
                            throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### attribute

          public XMLOutput attribute(java.lang.String name,
                                     java.lang.Object value)
                              throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### attributeOrNull

          public XMLOutput attributeOrNull(java.lang.String name,
                                           java.lang.Object value)
                                    throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public java.io.Writer characters()
                                    throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### bytes

          public java.io.OutputStream bytes()
                                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### push

          public XMLOutput push()
                         throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### pop

          public XMLOutput pop()
                        throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### done

          public void done()
                    throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html